---
title: "List workspace members"
url: https://hexelstudio.com/docs/api/ciam-core/workspaces/list-workspace-members
---

# List workspace members

**GET** `/workspaces/{workspace_id}/members`

## Path parameters

- `workspace_id: string`

  Workspace ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`array of WorkspaceMember`)

- `created_at: optional string`

- `deleted_at: optional string`

- `id: optional string`

- `joined_at: optional string`

- `role: optional string`

  ADMIN, MEMBER, DEVELOPER, VIEWER

- `status: optional string`

  ACTIVE, INACTIVE, SUSPENDED

- `updated_at: optional string`

- `user_id: optional string`

- `workspace_id: optional string`

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/workspaces/{workspace_id}/members' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
[
  {
    "created_at": "2026-01-01T00:00:00Z",
    "deleted_at": "2026-01-01T00:00:00Z",
    "id": "string",
    "joined_at": "2026-01-01T00:00:00Z",
    "role": "string",
    "status": "string",
    "updated_at": "2026-01-01T00:00:00Z",
    "user_id": "string",
    "workspace_id": "string"
  }
]
```
